<?php

namespace App\Http\Controllers;

use App\Models\React;
use App\Helpers\Helper;
use App\Models\Activity;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;

class ActivityController extends Controller
{
    function index()
    {
        $activity = Activity::where('user_id', auth()->user()->id)->latest()->get();
        return Helper::response($activity, 200);
    }

    function isNotify(Request $request)
    {
        $validateInput = $request->validate(['is_notify' => 'required|boolean']);
        $user = Auth::user();
        $user->update(['is_notify' => $request->is_notify]);
        return Helper::response([], 200);
    }
}
