<?php


namespace App\Http\Controllers;

use Illuminate\Support\Str;
use Illuminate\Foundation\Auth\Access\AuthorizesRequests;
use Illuminate\Foundation\Bus\DispatchesJobs;
use Illuminate\Foundation\Validation\ValidatesRequests;
use Illuminate\Routing\Controller as BaseController;

class Controller extends BaseController
{
    use AuthorizesRequests, DispatchesJobs, ValidatesRequests;

    public static function media3($request, $folder)
    {
        $extension = $request->file('profile_image',)->getClientOriginalExtension();
        return $request->file('profile_image',)->storeAs(
            $folder,
            Str::random(20) . '.' . $extension,
            env('DISK')
        );
    }
    public static function media2($request, $folder = "")
    {
        $extension = $request->file('profile_image',)->getClientOriginalExtension();
        return $request->file('profile_image',)->storeAs(
            $folder,
            Str::random(20) . '.' . $extension,
            env('DISK')
        );
    }
    public static function media1($request, $folder = "")
    {
        $extension = $request->file('media',)->getClientOriginalExtension();
        return $request->file('media',)->storeAs(
            $folder,
            Str::random(20) . '.' . $extension,
            env('DISK')
        );
    }
}
