<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class UserUpdateRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, mixed>
     */
    public function rules()
    {
        $validations = [
            'user_name' => 'required|string|max:50|min:2',
            'department_id' => 'required|integer',
            'company_id' => 'required|integer',
            // 'last_name' => 'required|string|max:50|min:2',
            // 'phone' => 'nullable|max:20|phone:ANY',
            // 'email' => 'required|regex:/^([a-z0-9\+_\-]+)(\.[a-z0-9\+_\-]+)*@([a-z0-9\-]+\.)+[a-z]{2,6}$/ix|email|min:6|max:255|unique:users',
            // "gender" => 'sometimes|string|min:10|max:50',
            // "dob" => 'required',

        ];

        return $validations;
    }
}
