<?php

namespace App\Http\Resources;

use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

class ProductAttributeResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @return array<string, mixed>
     */
    public function toArray($request): array
    {
        // return parent::toArray($request);
        return [

            'id'                =>     $this->id,
            'product_id'        =>     $this->product_id,
            'support'           =>     $this->support,
            'shiping_info'      =>     $this->shiping_info,
            'size'              =>     $this->size,
            'color'             =>     $this->color,
            'stock'             =>     $this->stock,
            'image'             =>     $this->image,
            'price'             =>     $this->price,
            'discount_price'    =>     $this->discount_price,
        ];
    }
}
