<?php

namespace App\Models;

use App\Models\User;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;

class Comment extends Model
{
    use HasFactory;
    protected $fillable = [
        'user_id',
        'news_feed_id',
        'message',
    ];
    public function user()
    {
        return $this->belongsTo(User::class)->select('id', 'user_name');
    }
}
