<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('news_feeds_media', function (Blueprint $table) {
            $table->id();
            $table->foreignId('news_feed_id')->references('id')->on('news_feeds')->onDelete('cascade');
            $table->string('media_type');
            $table->text('media');
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('news_feeds_media');
    }
};
