<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('companies', function (Blueprint $table) {
            $table->string('contact_name')->nullable()->after('company_code');
            $table->string('industry')->nullable()->after('contact_name');
            $table->string('address')->nullable()->after('industry');
            $table->string('registration')->nullable()->after('address');
            $table->string('website')->nullable()->after('registration');
            $table->string('employees')->nullable()->after('website');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('companies', function (Blueprint $table) {
            //
        });
    }
};
