<?php

namespace Database\Seeders;

use App\Models\Content;
use Illuminate\Database\Seeder;
use Illuminate\Database\Console\Seeds\WithoutModelEvents;

class ContentSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        Content::insert([
            [
                'name'          => 'Privacy Policy',
                'slug'          => 'privacy-policy',
                'type'          => 'content',
                'description'   => '<p><strong>Lorem Ipsum</strong> is simply dummy text of the printing and typesetting industry.<strong>Lorem Ipsum</strong> is simply dummy text of the printing and typesetting industry.<strong>Lorem Ipsum</strong> is simply dummy text of the printing and ypesetting industry.<strong>Lorem Ipsum</strong> is simply dummy text of the printing and typesetting industry.It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged.&nbsp;</p>',
            ],
            [
                'name'          => 'Terms and Policies',
                'slug'          => 'terms-condition',
                'type'          => 'content',
                'description'   => '<p>Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry&#39;s standard dummy text ever since the 1500s, when an unknown printer tooks a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged.&nbsp;</p>',
            ],
            [
                'name'          => 'About Us',
                'slug'          => 'about-us',
                'type'          => 'content',
                'description'   => '<p>Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry&#39;s standard dummy text ever since the 1500s, when an unknown printer tooks a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged.&nbsp;</p>',
            ],
        ]);
    }
}
