<?php

namespace App\Http\Controllers;

use App\Helpers\Helper;
use App\Models\Package;
use Illuminate\Http\Request;

class PackageController extends Controller
{
    /**
     * Get packages
     *
     * @return JsonResponse
     */
    public function getPackages()
    {
        $packages = Package::all();

        return Helper::response(['packages' => $packages], 200,false);
    }

       /**
     * Get package by id
     *
     * @param $id
     * @return JsonResponse
     */
    public function getPackage($id)
    {
        $package = Package::find($id);

        return Helper::response(['package' => $package], 200, false);
    }

}
