<?php

namespace App\Http\Resources;

use App\Models\User;
use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

class IncidentResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @return array<string, mixed>
     */
    public function toArray(Request $request): array
    {
        return [

            'id'            => $this->id,
            'user_id'       => $this->user_id,
            'company_id'    => $this->company_id,
            'name'          => $this->name,
            'email'         => $this->email,
            'phone'         => $this->phone,
            'date'          => $this->date,
            'time'          => $this->time,
            'location'      => $this->location,
            'description'   => $this->description,
            'media'         => $this->media,
            'status'        => $this->status,

        ];
    }
}
