<?php

namespace App\Http\Resources;

use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

class ProductImagesResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @return array<string, mixed>
     */
    public function toArray($request): array
    {
        return [

            'id' =>    $this->id,
            'product_id' => $this->product_id,
            'image' => $this->image !== null ? env('MEDIA_URL') . $this->image : null,
            'type' => $this->type,
        ];
    }
}
