<?php

namespace App\Models;

use App\Models\React;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;

class PollAnswer extends Model
{
    use HasFactory;

    protected $fillable = [
        'id',
        'poll_id',
        'answer',
        'emoji',
        'color'
    ];


    public function reactCounts()
    {
        return $this->morphMany(React::class, 'reactable');
    }
}
