<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class ModifyUsersTable extends Migration
{
    public function up()
    {
        Schema::table('contact_us', function (Blueprint $table) {
            $table->dropColumn('user_name');
            $table->string('company_id')->after('id')->nullable();
            $table->string('email')->after('company_id')->nullable();
        });
    }

    public function down()
    {
        Schema::table('contact_us', function (Blueprint $table) {
            $table->string('user_name')->after('id');
            $table->dropColumn('company_id');
            $table->dropColumn('email');
        });
    }
}
